# IOS接入指南
[下载sdk包](http://dmgl.donghuajinyun.com/cepm/ecologyDoc/src/branch/master/AI/demo/ios_sdk.rar)

## 引入cepmSdk.farmework

将cepmSdk.farmework文件夹复制到项目文件中，此framework包含最基础的实体类和通讯方法

双击项目文件，选择targets 点击 General 标签 在 Frameworks,Libraies,and Embedded Content点击加号，选择add files，选择复制进来的cepmSdk.framework

![image-20210122162135571](https://tva1.sinaimg.cn/large/008eGmZEly1gmzsdx2otnj31gb0u0gr5.jpg)

![image-20210122162239159](https://tva1.sinaimg.cn/large/008eGmZEly1gmzsemh56mj30u00uq49c.jpg)

![image-20210122162321663](https://tva1.sinaimg.cn/large/008eGmZEly1gmzseu9wovj31co0r87d8.jpg)

在Build Phases中，Link Binary With Libraries中加入cepmSdk.farmework

![image-20210125105515756](https://tva1.sinaimg.cn/large/008eGmZEly1gmzseyi0b0j31fv0u0q9b.jpg)



## 引入UI，Sdks界面文件夹

将UI和Sdks文件夹，复制到项目目录下，然后在xcode里对项目最外层点击add File to xxx，xxx为你的项目名

![image-20210125103719891](https://tva1.sinaimg.cn/large/008eGmZEly1gmzsf2rbp5j30tk0x2qag.jpg)

然后再设置里，引入以下framework包

![image-20210125105206483](https://tva1.sinaimg.cn/large/008eGmZEly1gmzsf5zuldj31ga0u0tem.jpg)

再将Build Setting中的Other Linker Flags设置为-ObjC

![image-20210125105317171](https://tva1.sinaimg.cn/large/008eGmZEly1gmzsfc814vj31cu0u0qau.jpg)

最后在Build Settings中，将Validate Workspace设置为YES

![image-20210125105642191](https://tva1.sinaimg.cn/large/008eGmZEly1gmzsf9c8w8j31dl0u0dnq.jpg)

## 人脸采集接口

Sdks/Face/BDFaceFaceSDKUI/UI/Controller中，ViewController中有如下3个方法

对比验证成功回调

\- (**void**) verifySuccess;

对比验证失败回调

\- (**void**) verifyFail;

活体检测完成回调（包含通讯，将自己的sysName，secret，userName填入即可）

\- (**void**) verifyComplete;

## OCR识别接口

Sdks/OCR/AipOcrService中

身份证正面识别

\- (IdCardFrontResponse *)detectIdCardFrontFromImage:(UIImage *)image;

身份证背面识别

\- (IdCardBackResponse *)detectIdCardBackFromImage:(UIImage *)image;

银行卡识别

\- (BankCardResponse *) detectBankCardFromImage: (UIImage*)image;

获取实例

\+ (**instancetype**)shardService;

设置秘钥

\+ (**void**)setCredential:(Credential *)credential;

## Tts接口使用方式

获取合成的语音

DhccTtsClient.doTts方法，此方法已设置OC及Swift都可调用，参数传递TtsRequest即可

播放语音

DhccTtsClient.play方法可以播放获取到的声音，此方法已设置OC及Swift都可调用，参数传递TtsRequest即可

## 界面Swift App

可以直接使用UI文件夹下对应功能的文件夹中的界面，对应OcrTest，FaceTest，TtsView三个界面

## 界面OC Storyboard

人脸在Sdks/UI/BDFaceFaceSDKUI/UI/Controller中使用ViewController即可

OCR在/UI/OCR中直接使用Main.storyboard和OcrViewController即可

Tts只需一个文本框或无需界面，自己实现获取文本内容，调用DhccTtsClient.doTts方法即可，DhccTtsClient.play即可播放声音